=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,14 @@
 
 build:
 
+build-indep:
+
 clean:
 	$(checkdir)
 	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
 	-rm -rf debian/tmp debian/devuan-keyring-udeb
 
-binary-indep: checkroot checkkeyrings
+binary-indep: checkroot
 	$(checkdir)
 	-rm -rf debian/tmp
 	$(install_dir) debian/tmp/DEBIAN/
@@ -35,7 +37,8 @@
 
 	$(install_dir) debian/tmp/etc/apt/trusted.gpg.d/
 	$(install_file) keyrings/devuan-keyring-2016-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
-	$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
+	#$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
+	$(install_file) keyrings/devuan-keyring-2022-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
 	$(install_file) keyrings/devuan-keyring-2016-cdimage.gpg debian/tmp/etc/apt/trusted.gpg.d/
 
 	$(install_dir) debian/tmp/usr/share/doc/devuan-keyring/
@@ -83,11 +86,11 @@
 	rm -f keyrings/devuan-keyring-*.gpg
 	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-archive.gpg --export 0x72E3CB773315DFA2E464743D94532124541922FB
 	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-cdimage.gpg --export 0xCF1921B2D91C6435848E810099C46A90B1FB3B59
-	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
+	#gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
 	sha512sum keyrings/*.gpg | gpg --clearsign > SHA512SUMS.txt.asc
 
 checkkeyrings:
-	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
-	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -
+	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
+	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -
 
 .PHONY: binary binary-arch binary-indep clean checkkeyrings checkroot build
