## devuan-keyring 2023.05.28

=== debian/changelog ===
devuan-keyring (2023.05.28) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key for Sebastian Dalfuß <devuan@sedf.de>
  * Add public key for Olaf Meeuwissen <paddy-hack@member.fsf.org>

  [ Mark Hindley ]
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 28 May 2023 09:31:37 +0100

devuan-keyring (2022.11.15) unstable; urgency=medium

  [ Boian Bonev ]
  * Add to the keyring
    - Antonio Rendina <arendina13@gmail.com> (new)
    - Denis Roio (Jaromil) <jaromil@dyne.org> (updated expiry)
  * Refresh keys.

  [ Mark Hindley ]
  * Also use --no-keyring for expiry check. Prevents redundant keybox creation.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Nov 2022 07:11:57 +0000

devuan-keyring (2022.10.03) unstable; urgency=medium

  * When importing, specify --no-keyring to avoid unnecessary keybox
    creation.
  * Refresh keys.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 03 Oct 2022 15:18:08 +0100

devuan-keyring (2022.09.24) experimental; urgency=medium

  * Refresh keys with --keyserver-options no-self-sigs-only.
  * Use keyrings/gnupg mode 700 as gpg homedir.
  * .gitignore: add keyrings/.
  * Use cat for piping input keys to avoid losing first one.
  * Refresh keys.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Sep 2022 10:35:36 +0100

devuan-keyring (2022.09.23) experimental; urgency=medium

  * d/gbp.conf: set default tag format.
  * Document rm_conffile for key removal from /etc/apt/trusted.gpg.d/.
  * Remove excess whitespace.
  * Move default gpg options to variable.
  * Import keys without using temporary file; revert use of .ONESHELL and
    ./trustdb.gpg.
  * Add refresh target to update keys from hkps://keyring.devuan.org.
  * Document make refresh.
  * Refresh keys.
  * Add --homedir ./ to GPG_OPTIONS to fix debhelper failure.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Sep 2022 15:31:55 +0100

devuan-keyring (2022.09.22) experimental; urgency=medium

  [ Mark Hindley ]
  * d/gbp.conf: specify debian-branch.
  * .gitignore: ignore backup files.
  * d/control:
     - change maintenance to Devuan Developers list.
     - remove redundant Bugs field.
     - add Origin: Devuan.
     - add Vcs-* fields.
     - update package descriptions.
     - remove obsolete Build-Depend: debian-keyring,
     - add myself to Uploaders.
  * Simplify d/rules and use debhelper (compat 13).
  * Build keyrings from public keys in dedicated folders.
  * Check expiry of active keys, 9 months or more.
  * Add individual keys for fsmithred and rrq (✕2).
  * Add new release signing keys: Amprolla (generic), Daedalus and Excalibur.
  * Move expired and obsolete keys to public_keys/removed.
  * Update in tree documentation.
  * Clarify that keys should be OpenPGP binary format.

  [ Boian Bonev ]
  * Use the current GPL-3 instead of changing GPL
  * Remove file referencing removed checksums
  * Fix small stuff
  * Remove old postinst
  * Add my key

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 22 Sep 2022 09:58:41 +0100
