=== debian/control ===
Source: devuan-keyring
Section: misc
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders:
	Mark Hindley <mark@hindley.org.uk>,
	Franco (nextime) Lanza <nextime@devuan.org>,
	Denis (jaromil) Roio <jaromil@dyne.org>
Homepage: http://www.devuan.org
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), gnupg
Origin: Devuan
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/devuan/devuan-keyring.git
Vcs-Browser: https://git.devuan.org/devuan/devuan-keyring

Package: devuan-keyring
Priority: important
Architecture: all
Multi-Arch: foreign
Depends: gpgv, ${misc:Depends}
Recommends: gnupg | gnupg1
Breaks: apt (<< 0.7.25.1)
Description: GnuPG keys used by the Devuan repository
 The Devuan repository digitally signs its Release files.  This package contains
 the repository keys used for that as well as individual keys of active Devuan
 developers.

Package: devuan-keyring-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Recommends: gpgv-udeb
Description: GnuPG keys used by the Devuan repository
 The Devuan project digitally signs its Release files. This package contains the
 keys used for that, in a minimal form for use in the installer.
