## devuan-keyring 2025.06.02

=== debian/changelog ===
devuan-keyring (2025.06.02) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of Mason Loring Bliss <mason@blisses.org>
  * Refresh keys
  * Remove expired public key of Thomas Dely <deltomix@gmail.com>

  [ Mark Hindley ]
  * d/control: bump Standards Version (no changes).
  * d/control: drop unnecessary Depends: gpgv.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 02 Jun 2025 16:51:53 +0100

devuan-keyring (2023.10.07) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of Thomas Dely <deltomix@gmail.com>

  [ Mark Hindley ]
  * Refresh keys

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 07 Oct 2023 17:19:50 +0100

devuan-keyring (2023.07.01) unstable; urgency=medium

  [ Boian Bonev ]
  * Refresh keys
  * Add new public key for Ralph Ronnquist <rrq@rrq.au>
  * wrap-and-sort for better diffs
  * Remove nextime from uploaders (no longer active)
  * Add myself to uploaders
  * Covert copyright to DEP-5
  * Update copyright

  [ Mark Hindley ]
  * Add new archive public key for future use in Freia.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 01 Jul 2023 11:04:53 +0100
