=== debian/changelog ===
devuan-keyring (2025.07.30) unstable; urgency=medium

  [ Boian Bonev ]
  * Update copyright years
  * Bump standards to 4.7.2, no changes
  * fix address in copyright
  * Override a pedantic warning
  * Override the pedantic warning for the udeb too
  * Refresh keys
  * Remove unused lintian overrides

  [ Guillem Jover ]
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp
  * debian: Remove unused GnuPG dependencies

  [ Mark Hindley ]
  * Add new rsa4096/SHA512 signing key for Gryphon release.
  * Add new rsa4096/SHA512 signing key for DAK.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 30 Jul 2025 09:21:29 +0100
