## devuan-keyring 2025.08.09

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,12 @@
 ARCHIVE_KEYS := $(wildcard public_keys/archive/*.pgp)
 REMOVED_KEYS := $(wildcard public_keys/removed/*.pgp)
 
-all: keyrings/devuan-archive-keyring.pgp keyrings/devuan-keyring.pgp keyrings/devuan-removed-keys.pgp
+all: keyrings/devuan-archive-keyring.pgp keyrings/devuan-keyring.pgp keyrings/devuan-removed-keys.pgp $(patsubst %.pgp,%.asc,$(ARCHIVE_KEYS))
 
 .DELETE_ON_ERROR:
+
+%.asc : %.pgp
+	gpg --armor --export --no-default-keyring --keyring $< > $@
 
 keyrings/gnupg:
 	install -m700 -d $@
@@ -49,6 +52,6 @@
 	done
 
 clean:
-	rm -fr keyrings
+	rm -fr keyrings public_keys/archive/*.asc
 
 .PHONY: clean refresh
