=== debian/changelog ===
devuan-keyring (2025.08.09) unstable; urgency=medium

  * Restore installation of keys (now armoured, as Debian) in
    /etc/apt/trusted.gpg.d. (Closes: #902)

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Aug 2025 14:58:32 +0100
