=== debian/control ===
--- 
+++ 
@@ -22,21 +22,17 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Recommends:
- gnupg | gnupg1,
 Breaks:
  apt (<< 0.7.25.1),
-Description: GnuPG keys used by the Devuan repository
+Description: OpenPGP certificates used by the Devuan repository
  The Devuan repository digitally signs its Release files.  This package contains
- the repository keys used for that as well as individual keys of active Devuan
- developers.
+ the repository certificates used for that as well as individual certificates
+ of active Devuan developers.
 
 Package: devuan-keyring-udeb
 Package-Type: udeb
 Architecture: all
 Section: debian-installer
-Recommends:
- gpgv-udeb,
-Description: GnuPG keys used by the Devuan repository
+Description: OpenPGP certificates used by the Devuan repository
  The Devuan project digitally signs its Release files. This package contains the
- keys used for that, in a minimal form for use in the installer.
+ certificates used for that, in a minimal form for use in the installer.
