## devuan-keyring 2026.01.13

=== debian/changelog ===
devuan-keyring (2026.01.13) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of tempforever <dev1@tempforever.com>

  [ Mark Hindley ]
  * Update key for Mason Loring Bliss <mason@blisses.org> with new expiry.
  * d/control: drop 'R³: no' now it is the default.
  * d/control: Bump Standards Version (drop Priority: optional).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 11 Jan 2026 16:42:28 +0000
