=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: devuan-keyring
 Section: misc
-Priority: optional
 Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
 Uploaders:
  Mark Hindley <mark@hindley.org.uk>,
  Boian Bonev <bbonev@devuan.org>,
  Denis (jaromil) Roio <jaromil@dyne.org>,
 Homepage: http://www.devuan.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  gnupg,
 Origin: Devuan
-Rules-Requires-Root: no
 Vcs-Git: https://git.devuan.org/devuan/devuan-keyring.git
 Vcs-Browser: https://git.devuan.org/devuan/devuan-keyring
